Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.lock
Class SimpleReadWriteLock

    java.lang.Object
      EDU.oswego.cs.dl.util.concurrent.WriterPreferenceReadWriteLock
          EDU.oswego.cs.dl.util.concurrent.ReentrantWriterPreferenceReadWriteLock
              org.jboss.cache.lock.SimpleReadWriteLock

All Implemented Interfaces:
  EDU.oswego.cs.dl.util.concurrent.ReadWriteLock

    public class SimpleReadWriteLock

extends EDU.oswego.cs.dl.util.concurrent.ReentrantWriterPreferenceReadWriteLock

Version:
  $Id: SimpleReadWriteLock.java,v 1.1.1.1 2005/03/31 10:15:06 belaban Exp $
Author:
  Bela Ban

Nested Class Summary

Nested classes/interfaces inherited from class EDU.oswego.cs.dl.util.concurrent.WriterPreferenceReadWriteLock
`EDU.oswego.cs.dl.util.concurrent.WriterPreferenceReadWriteLock.ReaderLock, EDU.oswego.cs.dl.util.concurrent.WriterPreferenceReadWriteLock.Signaller, EDU.oswego.cs.dl.util.concurrent.WriterPreferenceReadWriteLock.WriterLock`

Field Summary

Fields inherited from class EDU.oswego.cs.dl.util.concurrent.ReentrantWriterPreferenceReadWriteLock
`IONE, readers_, writeHolds_`

Fields inherited from class EDU.oswego.cs.dl.util.concurrent.WriterPreferenceReadWriteLock
`activeReaders_, activeWriter_, readerLock_, waitingReaders_, waitingWriters_, writerLock_`

Constructor Summary
`SimpleReadWriteLock()`

Method Summary
`protected EDU.oswego.cs.dl.util.concurrent.WriterPreferenceReadWriteLock.Signaller` | `endRead()`

Methods inherited from class EDU.oswego.cs.dl.util.concurrent.ReentrantWriterPreferenceReadWriteLock
`allowReader, endWrite, startRead, startWrite`

Methods inherited from class EDU.oswego.cs.dl.util.concurrent.WriterPreferenceReadWriteLock
`cancelledWaitingReader, cancelledWaitingWriter, readLock, startReadFromNewReader, startReadFromWaitingReader, startWriteFromNewWriter, startWriteFromWaitingWriter, writeLock`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleReadWriteLock

    public SimpleReadWriteLock()

Method Detail

### endRead

    protected EDU.oswego.cs.dl.util.concurrent.WriterPreferenceReadWriteLock.Signaller endRead()

  Overrides:
    `endRead` in class `EDU.oswego.cs.dl.util.concurrent.ReentrantWriterPreferenceReadWriteLock`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.